## ros-humble-boost-plugin-loader 0.2.1

=== debian/changelog ===
ros-humble-boost-plugin-loader (0.2.1-1jammy) jammy; urgency=high

  * Improved error messaging (#14 <https://github.com/marip8/boost_plugin_loader/issues/14>)
  * Only catch plugin loader exception
  * Fix issue not using library names returned from getAllLibraryNames
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Fri, 09 Dec 2022 06:00:00 -0000

ros-humble-boost-plugin-loader (0.2.0-1jammy) jammy; urgency=high

  * Update package CI
  * Add cassert include to example
  * Update package.xml
  * Updates (#3 <https://github.com/tesseract-robotics/boost_plugin_loader/issues/3>)
    * Updated example and README
    * Replace pragma once with header guard
    * Remove include of implementation in header
    * Simplify test plugin getSection
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <levi.armstrong@gmail.com>  Thu, 23 Jun 2022 05:00:00 -0000

ros-humble-boost-plugin-loader (0.1.1-1jammy) jammy; urgency=high

  * Add cpack
  * update windows ci
  * update ubuntu focal CI build
  * add std::enable_if to PluginLoader::getAvailablePlugins()
  * update package.xml
  * Update unit test to have full coverage
  * Add PluginLoaderException class
  * Update parseEnvironmentVariableList documentation
  * Fixed search in system directories for plugins
  * Switch got getSection method
  * Rename getAllAvailablePlugins
  * Port over @marip8 example
  * Switch SECTION_NAME to section as member variable
  * Add code coverage to ubunut CI build
  * Rename to align with @marip8 refactor
  * Remove ClassLoader class
  * port macros.h
  * Initial port from tesseract_common
  * Initial commit
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@gmail.com>  Tue, 21 Jun 2022 05:00:00 -0000
