=== debian/control ===
Source: ros-humble-boost-plugin-loader
Section: misc
Priority: optional
Maintainer: Levi Armstrong <levi.armstrong@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-filesystem-dev, libgtest-dev <!nocheck>, ros-humble-ros-industrial-cmake-boilerplate, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-boost-plugin-loader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-filesystem-dev, libboost-filesystem1.74.0, ros-humble-ros-workspace
Description: Boost plugin loader implementation
