=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-humble-boost-plugin-loader
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-filesystem-dev, libboost-filesystem1.74.0, ros-humble-ros-workspace
+Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-filesystem-dev, ros-humble-ros-workspace
 Description: Boost plugin loader implementation
